target_root=$1

# TODO: ask user if accounts should be added
function setup_account_file()
{
	local target=$target_root/etc/$1
	local master=/scratchbox/devkits/debian/share/base-passwd/$1.master

	if [ ! -e $target ]; then
		touch $target
	fi

	local printed=0

	for i in $(seq $(cat $master | wc -l)); do
		local line=$(head -n $i $master | tail -n 1)
		local name=$(echo $line | cut -d: -f1)

		grep ^$name $target > /dev/null
		if [ $? -ne 0 ]; then
			if [ $printed -eq 0 ]; then
				echo -n "Appending to $target:"
				printed=1
			fi
			echo -n " $name"

			echo "$line" >> $target
		fi
	done

	if [ $printed -eq 1 ]; then
		echo
	fi
}

setup_account_file "passwd"
setup_account_file "group"

mkdir -p $target_root/var/tmp

mkdir -p $target_root/var/lib/dpkg/updates
mkdir -p $target_root/var/lib/dpkg/info
touch $target_root/var/lib/dpkg/lock
touch $target_root/var/lib/dpkg/status
touch $target_root/var/lib/dpkg/available

mkdir -p $target_root/var/lib/apt/lists/partial
mkdir -p $target_root/var/cache/apt/archives/partial
touch $target_root/var/lib/apt/lists/lock
touch $target_root/var/cache/apt/archives/lock

mkdir -p $target_root/etc/apt
if [ ! -e $target_root/etc/apt/sources.list ]; then
	cp /scratchbox/devkits/debian/etc/apt/sources.list $target_root/etc/apt/
fi
